public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastien Fabbro" <bicatali@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/theano/
Date: Wed, 28 Jun 2017 04:02:52 +0000 (UTC)	[thread overview]
Message-ID: <1498622410.a41d9c4f9d0eabafd0dc52781710c648f5286a5c.bicatali@gentoo> (raw)

commit:     a41d9c4f9d0eabafd0dc52781710c648f5286a5c
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 27 05:09:21 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Wed Jun 28 04:00:10 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a41d9c4f

dev-python/theano: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-python/theano/Manifest            |  1 +
 dev-python/theano/theano-0.9.0.ebuild | 52 +++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/theano/Manifest b/dev-python/theano/Manifest
index 33585815dfc..c97b06290d4 100644
--- a/dev-python/theano/Manifest
+++ b/dev-python/theano/Manifest
@@ -1,3 +1,4 @@
 DIST Theano-0.6.0.tar.gz 1763756 SHA256 aaa75f9a9b7bf50f09ddcc01fb993cf47513179d0a7bee3d96bfeebd66e76083 SHA512 6333c673df809bed3af952e0759cce4878ed21684367c6eb20e422363c7c5696ea59239ff6a448c6a32771b1069d441b0e3d049f9708ae69d790412303b8ebbd WHIRLPOOL 946fcacb87b7745e72282f5f7e6b67db5fd0e365f55b2c97a8e9e506e30986d90da7c3789636892ca316da33f4f064f99d31fc3771678457dd609fd0c43d9010
 DIST Theano-0.7.0.tar.gz 1985387 SHA256 05b0f6d2467735abea13bdc5c2c1ce3c53f1b89f9ebc5a43abdf71f88cf818b3 SHA512 6e6bf9afdebf3c281d71f5ceda73792e0a52b403b18776a639665767ac73ac4920b5042e29d656d517b8f023e5f9cd5a27086e0456dc40c42abf6f3569da3f06 WHIRLPOOL b79906e39eb8f7cad26160148465b4719d1011e1a4626c98fdb55cd273ff289b0c01278d51fdc8271b71434be0fd036f8259a315b07639e9ad83d1e3bf313687
 DIST Theano-0.8.2.tar.gz 2914631 SHA256 7463c8f7ed1a787bf881f36d38a38607150186697e7ce7e78bfb94b7c6af8930 SHA512 d7bad7ed4c9453470b66df2ada4587fbe9effc134c0604d11576630a613568386d41aa7dd4a77f8b7a1eb6d8a2f76a8e809b1ac3ae18c85a0c55ba4a059b865e WHIRLPOOL 05ae7308054e74fcbcb9057aca5a0e8ed7db7980e4a258bf5143f2a1ae9cfb430808a48467d6a185cdb4215ce33163a1e6e1961284e593c90cc9be6f0c9a5cbb
+DIST Theano-0.9.0.tar.gz 3116713 SHA256 745d66716531f9063127274b40503fbc21f931f78b7b03e79e5523d50078bc17 SHA512 e0e59256d2442f929fb120b4b21cab735e0a8ba087c4ea7d7caeabe8fa30cc19a46181fe1b4e268e778344fb3506eb20d8090dfc8d2a499c1bf84b07352686ab WHIRLPOOL 3c387356580cf8ea9340f214783b9003417c2e5ca2d35660ceda0d91a4b1eb29d3794000c59b09b1fd7b20cf273f372d111fcb31496991801d6253319e2694c7

diff --git a/dev-python/theano/theano-0.9.0.ebuild b/dev-python/theano/theano-0.9.0.ebuild
new file mode 100644
index 00000000000..cc371c65076
--- /dev/null
+++ b/dev-python/theano/theano-0.9.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 versionator
+
+MYPN=Theano
+MYP=${MYPN}-$(replace_version_separator 3 '')
+
+DESCRIPTION="Define and optimize multi-dimensional arrays mathematical expressions"
+HOMEPAGE="https://github.com/Theano/Theano"
+SRC_URI="mirror://pypi/${MYPN:0:1}/${MYPN}/${MYP}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+IUSE="doc test"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	sci-libs/scipy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+	   dev-python/flake8[${PYTHON_USEDEP}]
+	   dev-python/nose[${PYTHON_USEDEP}]
+	   dev-python/nose-parameterized[${PYTHON_USEDEP}]
+	   dev-python/pyflakes[${PYTHON_USEDEP}]
+	)"
+S="${WORKDIR}/${MYP}"
+
+python_prepare_all() {
+	# remove bundled six
+	find -type f -name "*.py" -exec \
+		 sed -e 's:theano.compat.six:six:g' -i '{}' + || die
+	rm ${PN}/compat/six.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	nosetests --verbosity=3 || die
+}
+
+pkg_postinst() {
+	optfeature "Make picture of Theano computation graph" dev-python/pydot-ng
+	optfeature "Required for GPU/CPU code generation" dev-python/pygpu
+}


             reply	other threads:[~2017-06-28  4:02 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-06-28  4:02 Sebastien Fabbro [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-09-13 18:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/theano/ Jakov Smolić
2021-03-03 21:00 Michał Górny
2020-12-25 23:36 Sam James
2020-10-27 19:58 Sam James
2020-10-27  5:11 Sam James
2020-08-31 14:15 Sam James
2020-08-31 13:49 Sam James
2020-08-30 23:18 Sam James
2020-08-23 11:34 David Seifert
2020-08-02 22:27 Sam James
2020-08-02 19:05 Sam James
2020-03-22 12:12 Agostino Sarubbo
2020-03-09 13:44 Agostino Sarubbo
2020-01-16  6:05 Michał Górny
2020-01-16  6:05 Michał Górny
2019-12-29  8:53 David Seifert
2019-05-12  9:54 Sergei Trofimovich
2019-03-31 14:39 Amy Liffey
2019-03-31 14:39 Amy Liffey
2017-01-04 19:24 Sebastien Fabbro
2017-01-04  6:02 Sebastien Fabbro
2016-12-29 10:05 Agostino Sarubbo
2016-02-04 14:21 Justin Lecher
2016-02-04 14:21 Justin Lecher
2016-02-04 14:21 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1498622410.a41d9c4f9d0eabafd0dc52781710c648f5286a5c.bicatali@gentoo \
    --to=bicatali@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox